Subject: Re: [PATCH 2/3] Revert "send-email: extract email-parsing code into a subroutine"

From: Junio C Hamano <[email-masked]>
Date: Sat, 28 Oct 2023 07:31:35 +0900

Oswald Buddenhagen <[email-masked]> writes:

> On Wed, Oct 25, 2023 at 02:11:20AM -0400, Jeff King wrote:
>>The "//" operator was added in perl 5.10. I'm not sure what you found
>>that makes you think the ship has sailed. The only hits for "//" I see
>>look like the end of substitution regexes ("s/foo//" and similar).
>>
> grep with spaces around the operator, then you can see the instance in
> git-credential-netrc.perl easily.

Good find, but given the relative prevalence in use between netrc
helper and send-email, my conclusion is rather opposite.  It seems
to indicate that avoiding "//" would still be prudent if the only
tool we can find find broken on 5.008 is the netrc helper.